Retrieve a specific customer's details
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/customers/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/customers/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/customers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "943f160c-5b70-4a54-a5f9-9967a9d0adf6",
"full_name": "Seun Tee",
"customer_email": "lorddro1532@gmail.com",
"customer_phone": "07037005640",
"date_of_birth": "2025-01-01/10/25",
"address": "2, Hello, World, Lagos, Nigeria",
"purchased_policies": [
{
"policy_id": "89725483-1a5d-4572-bc55-00cb18160385",
"policy_type": "Gadget",
"status": "active",
"start_date": "2025-01-23",
"end_date": "2026-01-23",
"premium_amount": "100000.00"
},
{
"policy_id": "650d6a02-7a8d-4352-8dd4-59c690c6ca8d",
"policy_type": "Travel",
"status": "active",
"start_date": "2025-01-12",
"end_date": "2026-01-12",
"premium_amount": "4724.93"
},
{
"policy_id": "655ad233-695b-4681-b3e7-173fe01de0be",
"policy_type": "Travel",
"status": "active",
"start_date": "2025-01-12",
"end_date": "2026-01-12",
"premium_amount": "4724.93"
}
],
"active_policies": [
{
"policy_id": "578cdd43-1a7f-4581-bc71-313d0b08bfe7",
"policy_type": "Travel",
"status": "active",
"start_date": "2025-02-13",
"end_date": "2026-02-13",
"premium_amount": "4724.93"
},
{
"policy_id": "df887183-ea13-4f60-be2d-bef7659f663e",
"policy_type": "Gadget",
"status": "active",
"start_date": "2025-02-05",
"end_date": "2026-02-05",
"premium_amount": "100000.00"
},
{
"policy_id": "d17bf068-52b3-4cbb-afa5-784465401a9d",
"policy_type": "Travel",
"status": "active",
"start_date": "2025-01-12",
"end_date": "2026-01-12",
"premium_amount": "4724.93"
},
{
"policy_id": "552a0d6a-3fcc-4d73-a673-6bb2d9c973e9",
"policy_type": "Travel",
"status": "active",
"start_date": "2025-01-12",
"end_date": "2026-01-10",
"premium_amount": "4724.93"
}
],
"active_claims": []
}Customers
Retrieve a specific customer's details
This endpoint returns detailed information for a specific customer, including their contact information, policies, claims, and transactions.
GET
/
api
/
v1
/
customers
/
{id}
/
Retrieve a specific customer's details
Authorizations
Path Parameters
Response
View customer information
Formats the full information displayed about a merchant's customer
Physical address of the customer
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
